Bug 13590 - strips zeroes off
strips zeroes off
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-07 19:15 EDT by pmoteus
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-12 15:47:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description pmoteus 2000-07-07 19:15:21 EDT
Linuxconf version 1.18
when entering the default permissions for my dos partition the program
stripped the initial two zeroes of my code 002.  This resulted in just a
value of 2 which was definitely not what I wanted.  Had to manually edit
/etc/fstab

general complaint about Linuxconf: 
	why in the world are the bits conterintuitve.  You have to list the parts
to be restricted?  Why not make it like normal metadata?  It would be much
easier to understand the security I was allowing, rather than the security
I am restricting, as this is what normal files on Linux follow.
Comment 1 Nalin Dahyabhai 2000-07-12 15:37:10 EDT
The option matches the semantics of mount(8)'s umask option.  How is "2"
producing different results from "002"?
Comment 2 pmoteus 2000-07-12 15:47:26 EDT
when i used it in linuxconf and saved my results (instead of fstab) then it
mounted my msdos partions as 200 (it stripped off the first two zeroes and left
one 2 which was read as the aforementioned 200) instead of the intended 002.  I
wanted my msdos partition to have the write ability removed for everyone besides
the owner (which i still think is wierd, the restricting instead of allowing
baseline).  Instead with 200 it restricted the owner from writing but gave
everybody else full access.  Which is definitely not what I wanted.  You know if
you dont see it then never mind.  I am using a Mandrake distribution so it might
be them.  I reported the bug to you guys because you are the ones that make and
maintain the tool.
Comment 3 Trond Eivind Glomsrxd 2000-09-13 18:38:40 EDT
We suggest you contact Mandrake; we can't keep track of what changes they make
to their packages.

Note You need to log in before you can comment on or make changes to this bug.